Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006668OCamldocumentationpublic2014-11-21 22:162016-03-23 14:10
Reporterlpw25 
Assigned To 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.03.0+dev / +beta1Fixed in Version4.03.0+dev / +beta1 
Summary0006668: Missing "type-constraint" in grammar for "mod-constraint"
DescriptionThe grammar for "mod-constraint" includes:

    type [type-params] typeconstr type-equation

it should actually be:

    type [type-params] typeconstr type-equation { type-constraint }

because constraints are allowed on `with` constraints (although they don't actually do anything since they must match the definition and are not required if the definition does have them).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015586)
doligez (administrator)
2016-03-23 14:09

Fixed in 4.03 (commit a041fed58bcc9df98962ae16a7a0cd04058d7b9e) and trunk (commit 8af9795d39da43e9fac23c68c433b8771991a8dc).

- Issue History
Date Modified Username Field Change
2014-11-21 22:16 lpw25 New Issue
2014-11-21 22:16 lpw25 Summary Missing "type-constaint" in grammar for "mod-constraint" => Missing "type-constraint" in grammar for "mod-constraint"
2014-12-24 17:27 doligez Status new => acknowledged
2015-01-13 22:11 doligez Target Version => 4.03.0+dev / +beta1
2016-03-23 14:09 doligez Note Added: 0015586
2016-03-23 14:10 doligez Status acknowledged => closed
2016-03-23 14:10 doligez Resolution open => fixed
2016-03-23 14:10 doligez Fixed in Version => 4.03.0+dev / +beta1
2017-02-23 16:35 doligez Category OCaml documentation => Documentation
2017-02-23 16:44 doligez Category Documentation => documentation


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker